;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; Copyright (c) 2002 TIMEX Corporation.
; 
; This document is the property of, and contains information proprietary to
; TIMEX Corporation.  It is to be returned upon request.  Reproduction by any
; means, disclosure, or use of its contents for other than the expressed
; purpose for which it is loaned, without the written consent of TIMEX
; Corporation, is strictly prohibited.
;
; File Name    : demo.h
; Purpose      : Demo Application Header File
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; TOD Data
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

DEMOTODSECOND       equ  036H
DEMOTODMINUTE       equ  009H
DEMOTODHOUR         equ  010H
DEMOTODDATE         equ  012H
DEMOTODMONTH        equ  010H
DEMOTODYEARLO       equ  002H
DEMOTODYEARHI       equ  020H 
DEMOTODDOW          equ  003H



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; STATE REDEFINITIONS
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

DEMOBANNERSTATE              equ     COREBANNERSTATE 
DEMODEFAULTSTATE             equ     COREDEFAULTSTATE
DEMOSETSTATE                 equ     CORESETBANNERSTATE


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; EVENT REDEFINITIONS
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

DEMO_STATEENTRY              equ     COREEVENT_STATEENTRY
DEMO_TIMEOUTDONELOWRES       equ     COREEVENT_TIMEOUTDONE_LOWRES
DEMO_TIMEOUTDONEHIGHRES      equ     COREEVENT_TIMEOUTDONE_HIGHRES
DEMO_TIMEOUTDONESTICKY       equ     COREEVENT_STICKY_TIMEOUTDONE
DEMO_ELDEPRESS               equ     COREEVENT_CROWN_EL_DEPRESS
DEMO_ELRELEASE               equ     COREEVENT_CROWN_EL_RELEASE
DEMO_CROWNHOME               equ     COREEVENT_CROWN_HOME
DEMO_CROWNSET                equ     COREEVENT_CROWN_SET1
DEMO_MODEDEPRESS             equ     COREEVENT_SWITCH1DEPRESS
DEMO_STOPRESETDEPRESS        equ     COREEVENT_SWITCH2DEPRESS
DEMO_STARTSPLITDEPRESS       equ     COREEVENT_SWITCH3DEPRESS

DEMO_TIMEOUTDONE			 equ	 COREEVENT_DISPLAY_UPDATE_TODRES


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; SWITCH MASK REDEFINITIONS
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

DEMOSWITCHMASK_MODE          equ     bCORESwitch1
DEMOSWITCHMASK_STOPRESET     equ     bCORESwitch2
DEMOSWITCHMASK_STARTSPLIT    equ     bCORESwitch3



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; MISCELLANEOUS
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

IRONMANPOSITION0			equ		2