;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; Copyright (c) 2002 TIMEX Corporation.
; 
; This document is the property of, and contains information proprietary to
; TIMEX Corporation.  It is to be returned upon request.  Reproduction by any
; means, disclosure, or use of its contents for other than the expressed
; purpose for which it is loaned, without the written consent of TIMEX
; Corporation, is strictly prohibited.
;
; File Name    : demodata.asm
; Purpose      : demo application fixed data
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


                ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
                ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
                ; MESSAGE DEFINITIONS
                ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
                ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

        GLOBAL  demoBannerMsg_USBDATALINK

demoBannerMsg_USBDATALINK:

            db  LCDBANNER_COL12, DM5_U, DM5_S, DM5_B
            db  LCDBANNER_COL1, DM5_D, DM5_A, DM5_T, DM5_A, DM5_SPACE, DM5_L, DM5_I, DM5_N, DM5_K
            db  LCD_END_BANNER    


        GLOBAL  demoBannerMsg_SENDDATA

demoBannerMsg_SENDDATA:

            db  LCDBANNER_COL1, DM5_S, DM5_E, DM5_N, DM5_D, DM5_SPACE, DM5_D, DM5_A, DM5_T, DM5_A
            db  LCDBANNER_COL2, DM5_P, DM5_C, DM5_RIGHTARROW, DM5_W, DM5_A, DM5_T, DM5_C, DM5_H
            db  LCD_END_BANNER    


        GLOBAL  demoBannerMsg_GETDATA

demoBannerMsg_GETDATA:

            db  LCDBANNER_COL2, DM5_G, DM5_E, DM5_T, DM5_SPACE, DM5_D, DM5_A, DM5_T, DM5_A
            db  LCDBANNER_COL1, DM5_W, DM5_A, DM5_T, DM5_C, DM5_H, DM5_RIGHTARROW, DM5_P, DM5_C
            db  LCD_END_BANNER    


        GLOBAL  demoBannerMsg_TIMEDATE

demoBannerMsg_TIMEDATE:

            db  LCDBANNER_COL10, DM5_T, DM5_I, DM5_M, DM5_E
            db  LCDBANNER_COL10, DM5_D, DM5_A, DM5_T, DM5_E
            db  LCD_END_BANNER    


        GLOBAL  demoBannerMsg_3TIMEZONES

demoBannerMsg_3TIMEZONES:

            db  LCDBANNER_COL8, DM5_3, DM5_SPACE, DM5_T, DM5_I, DM5_M, DM5_E
            db  LCDBANNER_COL8, DM5_Z, DM5_O, DM5_N, DM5_E, DM5_S
            db  LCD_END_BANNER    


        GLOBAL  demoBannerMsg_MEMORY200LAPS

demoBannerMsg_MEMORY200LAPS:

            db  LCDBANNER_COL3, DM5_M, DM5_E, DM5_M, DM5_O, DM5_R, DM5_Y
            db  LCDBANNER_COL1, DM5_2, DM5_0, DM5_0, DM5_SPACE, DM5_L, DM5_A, DM5_P, DM5_S
            db  LCD_END_BANNER    


        GLOBAL  demoBannerMsg_WORKOUTSTORAGE

demoBannerMsg_WORKOUTSTORAGE:

            db  LCDBANNER_COL1, DM5_W, DM5_O, DM5_R, DM5_K, DM5_O, DM5_U, DM5_T
            db  LCDBANNER_COL1, DM5_S, DM5_T, DM5_O, DM5_R, DM5_A, DM5_G, DM5_E
            db  LCD_END_BANNER    


        GLOBAL  demoBannerMsg_ALARMSAPPTS

demoBannerMsg_ALARMSAPPTS:

            db  LCDBANNER_COL3, DM5_A, DM5_L, DM5_A, DM5_R, DM5_M, DM5_S
            db  LCDBANNER_COL7, DM5_A, DM5_P, DM5_P, DM5_T, DM5_S
            db  LCD_END_BANNER    


        GLOBAL  demoBannerMsg_CONTACTSNOTES

demoBannerMsg_CONTACTSNOTES:

            db  LCDBANNER_COL1, DM5_C, DM5_O, DM5_N, DM5_T, DM5_A, DM5_C, DM5_T, DM5_S
            db  LCDBANNER_COL7, DM5_N, DM5_O, DM5_T, DM5_E, DM5_S
            db  LCD_END_BANNER    


        GLOBAL  demoBannerMsg_SCROLLINGMESSAGES

demoBannerMsg_SCROLLINGMESSAGES:

            db  LCDBANNER_COL1, DM5_S, DM5_C, DM5_R, DM5_O, DM5_L, DM5_L, DM5_I, DM5_N, DM5_G
            db  LCDBANNER_COL1, DM5_M, DM5_E, DM5_S, DM5_S, DM5_A, DM5_G, DM5_E, DM5_S
            db  LCD_END_BANNER    


        GLOBAL  demoBannerMsg_CUSTOMFEATURES

demoBannerMsg_CUSTOMFEATURES:

            db  LCDBANNER_COL4, DM5_C, DM5_U, DM5_S, DM5_T, DM5_O, DM5_M
            db  LCDBANNER_COL1, DM5_F, DM5_E, DM5_A, DM5_T, DM5_U, DM5_R, DM5_E, DM5_S
            db  LCD_END_BANNER    


                ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
                ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
                ; IRONMAN BITMAP PATTERN
                ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
                ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

        GLOBAL  demoIronmanPattern
        GLOBAL  demoIronmanPatternEnd

demoIronmanPattern:

                db  11111100b
                db  00000000b
                db  11111100b
                db  00100100b
                db  01100100b
                db  10011000b
                db  00000000b
                db  01111000b
                db  10000100b
                db  10000100b
                db  01111000b
                db  00000000b
                db  11111100b
                db  00001000b
                db  00010000b
                db  00100000b
                db  11111100b
                db  00000000b
                db  11111100b
                db  11111100b
                db  00111100b
                db  01111101b
                db  11111111b
                db  11111111b
                db  01111101b
                db  00111100b
                db  11111100b
                db  11111100b
                db  00000000b
                db  11111000b
                db  00100100b
                db  00100100b
                db  11111000b
                db  00000000b
                db  11111100b
                db  00001000b
                db  00010000b
                db  00100000b
                db  11111100b
                db  00000000b
                ;db  11100000b
                ;db  10100000b

demoIronmanPatternEnd:

                ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
                ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
                ; TOD SECONDS
                ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
                ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

        GLOBAL  demoAPPTDataStructure_Date
demoTODSecond:  db  00

                ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
                ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
                ; APPOINTMENT TEST DATA
                ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
                ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

        GLOBAL  demoAPPTDataStructure
        GLOBAL  demoAPPTDataStructure_Minute
        GLOBAL  demoAPPTDataStructure_Date

demoAPPTDataStructure:
demoAPPTDataStructure_Minute:

                db  030H        ; minute
                db  010H        ; hour

demoAPPTDataStructure_Date:
                db  030H        ; date
                db  007H        ; month
                db  006H        ; year lo
                db  020H        ; year hi
                db  000H        ; dow


        GLOBAL  demoAPPTMessage

demoAPPTMessage:
                db  DM5_D, DM5_R, DM5_SPACE, DM5_K, DM5_A, DM5_U, DM5_F, DM5_M, DM5_A, DM5_N, DM5_N
                db  DM5_SENTINEL 


                ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
                ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
                ; CLEAR DISPLAY LIST
                ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
                ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

        GLOBAL  demoClearDisplayList
        GLOBAL  demoClearDisplayListEnd

demoClearDisplayList:

				; 0x00 = do not clear the display
				; 0x01 = clear the entire display
				; 0x02 = clear only the main DM
				; 0x04 = clear only line 1
				; 0x10 = clear only line 2
				; 0x04 = blank out LCD driver

                db  0           ;ironman
                db  0           ;blank
                db  0           ;ironman
                db  0           ;blank
                db  1           ;usb datalink
                db  0           ;blank
                db  0           ;usb datalink
                db  0           ;blank
                db  1           ;send data
                db  2           ;get data
                db  2           ;time date
                db  1           ;tod data main screen
                db  0           ;tod update seconds to 37
                db  0           ;tod update seconds to 38
                db  0           ;tod update seconds to 39
                db  1           ;3 timezones
                db  2           ;chrono
                db  0           ;memory 200 laps
                db  2           ;workout storage
                db  2           ;countdown timer
                db  2           ;interval timer
                db  1           ;alarms appts
                db  0           ;contacts notes
                db  0           ;scrolling messages
                db  2           ;appointment
                db  0           ;appt scroll 1 pixel
                db  0           ;appt scroll 1 pixel
                db  1           ;custom features
                db  0           ;blank

demoClearDisplayListEnd:

                ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
                ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
                ; CLEAR DISPLAY LIST
                ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
                ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

        GLOBAL  demoTimeoutRequired

demoTimeoutRequired:

                db  3           ;ironman
                db  2           ;blank
                db  3           ;ironman
                db  2           ;blank
                db  3           ;usb datalink
                db  1           ;blank
                db  3           ;usb datalink
                db  2           ;blank
                db  3           ;send data
                db  3           ;get data
                db  3           ;time date
                db  2           ;tod data main screen
                db  1           ;tod update seconds to 37
                db  1           ;tod update seconds to 38
                db  1           ;tod update seconds to 39
                db  3           ;3 timezones
                db  3           ;chrono
                db  3           ;memory 200 laps
                db  3           ;workout storage
                db  3           ;countdown timer
                db  3           ;interval timer
                db  3           ;alarms appts
                db  3           ;contacts notes
                db  3           ;scrolling messages
                db  2           ;appointment
                db  1           ;appt scroll 1 pixel
                db  1           ;appt scroll 1 pixel
                db  3           ;custom features
                db  1           ;blank
