;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; Copyright (c) 2002 TIMEX Corporation.
; 
; This document is the property of, and contains information proprietary to
; TIMEX Corporation.  It is to be returned upon request.  Reproduction by any
; means, disclosure, or use of its contents for other than the expressed
; purpose for which it is loaned, without the written consent of TIMEX
; Corporation, is strictly prohibited.
;
; File Name    : demoban.asm
; Purpose      : Demo Banner State Manager
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;------------------------------------------------------------------------------
;
; ASSEMBLY CODE
;
;------------------------------------------------------------------------------

        IF @DEF('SUBROUTINE')
            UNDEF SUBROUTINE
        ENDIF
        DEFINE  SUBROUTINE      "'demoBannerStateManager'"

        GLOBAL  demoBannerStateManager

demoBannerStateManager:

                ; Check if date has already been set.
                ld      HL,   #USGFlags
                bit     [HL], #bUSGDateAlreadySet
                jr      Z,   demoProceedToBannerState

                ; we must not display the mode banner for this mode
                ; so we trick this state handler into thinking that a MODE switch was
                ; depress so that the common utility will proceed to the next mode
                ld      A, #COREEVENT_MODEDEPRESS
                ld      [CORECurrentEvent], A


demoProceedToBannerState:
                car     coreCommonBannerStateHandler
                ret
